Create a calendar event (gig or rehearsal)
POST /api/calendar/events
POST
/api/calendar/events
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” One of:
object
eventType
required
string
title
string
description
string
location
string
startTime
required
string format: date-time
endTime
string format: date-time
timezone
string
notes
string
gigTypeTags
Array<string>
gigStatus
string
setupTime
string format: date-time
soundCheckTime
string format: date-time
loadInTime
string format: date-time
organizerName
string
organizerPhone
string
venueContactName
string
venueContactPhone
string
paymentAmount
number
paymentCurrency
string
paymentStatus
string
contractSigned
boolean
dressCode
string
parkingInfo
string
techRider
string
stageLayout
string
setlistId
string format: uuid
object
eventType
required
string
title
string
description
string
location
string
startTime
required
string format: date-time
endTime
string format: date-time
timezone
string
notes
string
rehearsalType
string
focusSongIds
Array<string>
agenda
string
roomBookingRef
string
cost
number
costSplitAmongAttendees
boolean
setlistId
string format: uuid
Responses
Section titled “ Responses ”Created
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden / not in band
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string